Loading...
Searching...
No Matches
GrossoLocatelliPullanMc< GR >::CliqueNodeIt Class Reference

## Detailed Description

template<typename GR>
class lemon::GrossoLocatelliPullanMc< GR >::CliqueNodeIt

This iterator class lists the nodes of the found clique. Before using it, you must allocate a GrossoLocatelliPullanMc instance and call its run() method.

The following example prints out the IDs of the nodes in the found clique.

GrossoLocatelliPullanMc<Graph> mc(g);
mc.run();
for (GrossoLocatelliPullanMc<Graph>::CliqueNodeIt n(mc);
n != INVALID; ++n)
{
std::cout << g.id(n) << std::endl;
}
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32
lemon::GrossoLocatelliPullanMc::GrossoLocatelliPullanMc
GrossoLocatelliPullanMc(const GR &graph)
Constructor.
Definition grosso_locatelli_pullan_mc.h:411
lemon::GrossoLocatelliPullanMc::CliqueNodeIt
Iterator to list the nodes of the found clique.
Definition grosso_locatelli_pullan_mc.h:632

`#include <lemon/grosso_locatelli_pullan_mc.h>`

## Public Member Functions

| CliqueNodeIt (const GrossoLocatelliPullanMc &mc)
| Constructor.
| operator Node () const
| Conversion to `Node`.
CliqueNodeIt & | operator++ ()
| Next node.
GR::Node | operator++ (int)
| Postfix incrementation.

## Constructor & Destructor Documentation

## CliqueNodeIt()

template<typename GR>

CliqueNodeIt | ( | const GrossoLocatelliPullanMc & | mc | ) |

inline

Constructor.

Parameters

  mc | The algorithm instance.

## Member Function Documentation

## operator++()

template<typename GR>

GR::Node operator++ | ( | int |  | ) |

inline

Postfix incrementation.

Warning
  This incrementation returns a `Node`, not a `CliqueNodeIt` as one may expect.